/*************************************************************
GLSL Demo - Boing vertex shader
(c) 2005 Antoine Bouthors, EVASION
*************************************************************/

uniform float Time;
varying vec3 normal;
varying vec3 lightDir;


void main()
{
	vec4 pos = gl_Vertex;
	pos.xyz *= 1.+.2*abs(sin( Time*10. ));
	
	vec3 lightpos = gl_LightSource[0].position.xyz;
	vec4 Worldpos = gl_ModelViewMatrix * pos;
	lightDir =  lightpos - Worldpos.xyz;
	normal = gl_NormalMatrix * gl_Normal;

	gl_Position = gl_ModelViewProjectionMatrix * pos;
}
