/*************************************************************
GLSL Demo - Bump mapping vertex shader
(c) 2005 Antoine Bouthors, EVASION
*************************************************************/

varying vec3 normal;
varying vec3 lightDir;
varying vec3 pos2;

void main()
{
	gl_TexCoord[0].xy = gl_MultiTexCoord0.xy;

	vec4 pos = gl_ModelViewMatrix * gl_Vertex;
	pos2 = vec3( gl_ModelViewProjectionMatrix * gl_Vertex );
	vec3 lightpos = gl_LightSource[0].position.xyz;
	lightDir =  lightpos - pos.xyz;
	normal = gl_NormalMatrix * gl_Normal;

	gl_Position = ftransform();
}
