/*************************************************************
GLSL Demo - 2D texturing plus phong lighting vertex shader
(c) 2005 Antoine Bouthors, EVASION
*************************************************************/

varying vec3 normal;
varying vec3 lightDir;

void main()
{
	vec4 pos = gl_ModelViewMatrix * gl_Vertex;
	vec3 lightpos = gl_LightSource[0].position.xyz;
	lightDir =  lightpos - pos.xyz;
	normal = gl_NormalMatrix * gl_Normal;

	gl_TexCoord[0].xy = gl_MultiTexCoord0.xy;

	gl_Position = ftransform();
}
