/************************************************************************/
/*  TP GPU - GLSL Ensimag 3A                                            */
/*  Sbastien Barbier - EVASION                                         */
/*	janvier 2009														*/
/************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include "constant.h"

void PrintError( int ErrorCode, char *origin)
  {
  char message[256];

  switch(ErrorCode)
    {
    case READ_ERROR:
            sprintf( message, "file %s can not be read\n", origin);
            break;
    case WRITE_ERROR:
            sprintf( message, "file %s can not be writen\n", origin);
            break;
    case MEMORY:
            sprintf( message, "not enough memory to allocate %s\n", origin);
            break;
    case WRONG_FORMAT:
            sprintf( message, "wrong format for %s\n", origin);
            break;
    }

  fprintf( stderr, "%s", message);
  exit(-1);
  }
